IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2001:db8:f:4000::/52- First address
2001:db8:f:4000::- Last address
2001:db8:f:4fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2001:0db8:000f:4000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
4.f.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:f:4000::/52 makes 4,096 subnets of /64; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:f:4000::/64 | 2001:db8:f:4000:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:f:4001::/64 | 2001:db8:f:4001:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:f:4002::/64 | 2001:db8:f:4002:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:f:4003::/64 | 2001:db8:f:4003:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:f:4004::/64 | 2001:db8:f:4004:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:f:4005::/64 | 2001:db8:f:4005:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:f:4006::/64 | 2001:db8:f:4006:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:f:4007::/64 | 2001:db8:f:4007:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:f:4008::/64 | 2001:db8:f:4008:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:f:4009::/64 | 2001:db8:f:4009:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:f:400a::/64 | 2001:db8:f:400a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:f:400b::/64 | 2001:db8:f:400b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:f:400c::/64 | 2001:db8:f:400c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:f:400d::/64 | 2001:db8:f:400d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:f:400e::/64 | 2001:db8:f:400e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:f:400f::/64 | 2001:db8:f:400f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:f:4010::/64 | 2001:db8:f:4010:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:f:4011::/64 | 2001:db8:f:4011:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:f:4012::/64 | 2001:db8:f:4012:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:f:4013::/64 | 2001:db8:f:4013:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:f:4014::/64 | 2001:db8:f:4014:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:f:4015::/64 | 2001:db8:f:4015:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:f:4016::/64 | 2001:db8:f:4016:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:f:4017::/64 | 2001:db8:f:4017:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:f:4018::/64 | 2001:db8:f:4018:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:f:4019::/64 | 2001:db8:f:4019:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:f:401a::/64 | 2001:db8:f:401a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:f:401b::/64 | 2001:db8:f:401b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:f:401c::/64 | 2001:db8:f:401c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:f:401d::/64 | 2001:db8:f:401d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:f:401e::/64 | 2001:db8:f:401e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:f:401f::/64 | 2001:db8:f:401f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:f:4020::/64 | 2001:db8:f:4020:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:f:4021::/64 | 2001:db8:f:4021:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:f:4022::/64 | 2001:db8:f:4022:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:f:4023::/64 | 2001:db8:f:4023:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:f:4024::/64 | 2001:db8:f:4024:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:f:4025::/64 | 2001:db8:f:4025:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:f:4026::/64 | 2001:db8:f:4026:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:f:4027::/64 | 2001:db8:f:4027:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:f:4028::/64 | 2001:db8:f:4028:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:f:4029::/64 | 2001:db8:f:4029:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:f:402a::/64 | 2001:db8:f:402a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:f:402b::/64 | 2001:db8:f:402b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:f:402c::/64 | 2001:db8:f:402c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:f:402d::/64 | 2001:db8:f:402d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:f:402e::/64 | 2001:db8:f:402e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:f:402f::/64 | 2001:db8:f:402f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:f:4030::/64 | 2001:db8:f:4030:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:f:4031::/64 | 2001:db8:f:4031:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:f:4032::/64 | 2001:db8:f:4032:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:f:4033::/64 | 2001:db8:f:4033:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:f:4034::/64 | 2001:db8:f:4034:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:f:4035::/64 | 2001:db8:f:4035:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:f:4036::/64 | 2001:db8:f:4036:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:f:4037::/64 | 2001:db8:f:4037:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:f:4038::/64 | 2001:db8:f:4038:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:f:4039::/64 | 2001:db8:f:4039:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:f:403a::/64 | 2001:db8:f:403a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:f:403b::/64 | 2001:db8:f:403b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:f:403c::/64 | 2001:db8:f:403c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:f:403d::/64 | 2001:db8:f:403d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:f:403e::/64 | 2001:db8:f:403e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:f:403f::/64 | 2001:db8:f:403f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:f:4040::/64 | 2001:db8:f:4040:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:f:4041::/64 | 2001:db8:f:4041:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:f:4042::/64 | 2001:db8:f:4042:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:f:4043::/64 | 2001:db8:f:4043:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:f:4044::/64 | 2001:db8:f:4044:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:f:4045::/64 | 2001:db8:f:4045:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:f:4046::/64 | 2001:db8:f:4046:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:f:4047::/64 | 2001:db8:f:4047:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:f:4048::/64 | 2001:db8:f:4048:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:f:4049::/64 | 2001:db8:f:4049:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:f:404a::/64 | 2001:db8:f:404a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:f:404b::/64 | 2001:db8:f:404b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:f:404c::/64 | 2001:db8:f:404c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:f:404d::/64 | 2001:db8:f:404d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:f:404e::/64 | 2001:db8:f:404e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:f:404f::/64 | 2001:db8:f:404f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:f:4050::/64 | 2001:db8:f:4050:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:f:4051::/64 | 2001:db8:f:4051:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:f:4052::/64 | 2001:db8:f:4052:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:f:4053::/64 | 2001:db8:f:4053:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:f:4054::/64 | 2001:db8:f:4054:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:f:4055::/64 | 2001:db8:f:4055:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:f:4056::/64 | 2001:db8:f:4056:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:f:4057::/64 | 2001:db8:f:4057:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:f:4058::/64 | 2001:db8:f:4058:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:f:4059::/64 | 2001:db8:f:4059:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:f:405a::/64 | 2001:db8:f:405a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:f:405b::/64 | 2001:db8:f:405b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:f:405c::/64 | 2001:db8:f:405c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:f:405d::/64 | 2001:db8:f:405d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:f:405e::/64 | 2001:db8:f:405e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:f:405f::/64 | 2001:db8:f:405f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:f:4060::/64 | 2001:db8:f:4060:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:f:4061::/64 | 2001:db8:f:4061:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:f:4062::/64 | 2001:db8:f:4062:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:f:4063::/64 | 2001:db8:f:4063:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:f:4064::/64 | 2001:db8:f:4064:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:f:4065::/64 | 2001:db8:f:4065:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:f:4066::/64 | 2001:db8:f:4066:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:f:4067::/64 | 2001:db8:f:4067:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:f:4068::/64 | 2001:db8:f:4068:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:f:4069::/64 | 2001:db8:f:4069:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:f:406a::/64 | 2001:db8:f:406a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:f:406b::/64 | 2001:db8:f:406b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:f:406c::/64 | 2001:db8:f:406c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:f:406d::/64 | 2001:db8:f:406d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:f:406e::/64 | 2001:db8:f:406e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:f:406f::/64 | 2001:db8:f:406f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:f:4070::/64 | 2001:db8:f:4070:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:f:4071::/64 | 2001:db8:f:4071:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:f:4072::/64 | 2001:db8:f:4072:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:f:4073::/64 | 2001:db8:f:4073:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:f:4074::/64 | 2001:db8:f:4074:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:f:4075::/64 | 2001:db8:f:4075:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:f:4076::/64 | 2001:db8:f:4076:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:f:4077::/64 | 2001:db8:f:4077:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:f:4078::/64 | 2001:db8:f:4078:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:f:4079::/64 | 2001:db8:f:4079:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:f:407a::/64 | 2001:db8:f:407a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:f:407b::/64 | 2001:db8:f:407b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:f:407c::/64 | 2001:db8:f:407c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:f:407d::/64 | 2001:db8:f:407d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:f:407e::/64 | 2001:db8:f:407e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:f:407f::/64 | 2001:db8:f:407f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:f:4080::/64 | 2001:db8:f:4080:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:f:4081::/64 | 2001:db8:f:4081:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:f:4082::/64 | 2001:db8:f:4082:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:f:4083::/64 | 2001:db8:f:4083:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:f:4084::/64 | 2001:db8:f:4084:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:f:4085::/64 | 2001:db8:f:4085:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:f:4086::/64 | 2001:db8:f:4086:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:f:4087::/64 | 2001:db8:f:4087:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:f:4088::/64 | 2001:db8:f:4088:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:f:4089::/64 | 2001:db8:f:4089:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:f:408a::/64 | 2001:db8:f:408a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:f:408b::/64 | 2001:db8:f:408b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:f:408c::/64 | 2001:db8:f:408c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:f:408d::/64 | 2001:db8:f:408d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:f:408e::/64 | 2001:db8:f:408e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:f:408f::/64 | 2001:db8:f:408f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:f:4090::/64 | 2001:db8:f:4090:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:f:4091::/64 | 2001:db8:f:4091:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:f:4092::/64 | 2001:db8:f:4092:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:f:4093::/64 | 2001:db8:f:4093:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:f:4094::/64 | 2001:db8:f:4094:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:f:4095::/64 | 2001:db8:f:4095:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:f:4096::/64 | 2001:db8:f:4096:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:f:4097::/64 | 2001:db8:f:4097:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:f:4098::/64 | 2001:db8:f:4098:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:f:4099::/64 | 2001:db8:f:4099:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:f:409a::/64 | 2001:db8:f:409a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:f:409b::/64 | 2001:db8:f:409b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:f:409c::/64 | 2001:db8:f:409c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:f:409d::/64 | 2001:db8:f:409d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:f:409e::/64 | 2001:db8:f:409e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:f:409f::/64 | 2001:db8:f:409f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:f:40a0::/64 | 2001:db8:f:40a0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:f:40a1::/64 | 2001:db8:f:40a1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:f:40a2::/64 | 2001:db8:f:40a2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:f:40a3::/64 | 2001:db8:f:40a3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:f:40a4::/64 | 2001:db8:f:40a4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:f:40a5::/64 | 2001:db8:f:40a5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:f:40a6::/64 | 2001:db8:f:40a6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:f:40a7::/64 | 2001:db8:f:40a7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:f:40a8::/64 | 2001:db8:f:40a8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:f:40a9::/64 | 2001:db8:f:40a9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:f:40aa::/64 | 2001:db8:f:40aa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:f:40ab::/64 | 2001:db8:f:40ab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:f:40ac::/64 | 2001:db8:f:40ac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:f:40ad::/64 | 2001:db8:f:40ad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:f:40ae::/64 | 2001:db8:f:40ae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:f:40af::/64 | 2001:db8:f:40af:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:f:40b0::/64 | 2001:db8:f:40b0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:f:40b1::/64 | 2001:db8:f:40b1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:f:40b2::/64 | 2001:db8:f:40b2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:f:40b3::/64 | 2001:db8:f:40b3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:f:40b4::/64 | 2001:db8:f:40b4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:f:40b5::/64 | 2001:db8:f:40b5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:f:40b6::/64 | 2001:db8:f:40b6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:f:40b7::/64 | 2001:db8:f:40b7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:f:40b8::/64 | 2001:db8:f:40b8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:f:40b9::/64 | 2001:db8:f:40b9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:f:40ba::/64 | 2001:db8:f:40ba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:f:40bb::/64 | 2001:db8:f:40bb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:f:40bc::/64 | 2001:db8:f:40bc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:f:40bd::/64 | 2001:db8:f:40bd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:f:40be::/64 | 2001:db8:f:40be:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:f:40bf::/64 | 2001:db8:f:40bf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:f:40c0::/64 | 2001:db8:f:40c0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:f:40c1::/64 | 2001:db8:f:40c1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:f:40c2::/64 | 2001:db8:f:40c2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:f:40c3::/64 | 2001:db8:f:40c3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:f:40c4::/64 | 2001:db8:f:40c4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:f:40c5::/64 | 2001:db8:f:40c5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:f:40c6::/64 | 2001:db8:f:40c6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:f:40c7::/64 | 2001:db8:f:40c7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:f:40c8::/64 | 2001:db8:f:40c8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:f:40c9::/64 | 2001:db8:f:40c9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:f:40ca::/64 | 2001:db8:f:40ca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:f:40cb::/64 | 2001:db8:f:40cb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:f:40cc::/64 | 2001:db8:f:40cc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:f:40cd::/64 | 2001:db8:f:40cd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:f:40ce::/64 | 2001:db8:f:40ce:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:f:40cf::/64 | 2001:db8:f:40cf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:f:40d0::/64 | 2001:db8:f:40d0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:f:40d1::/64 | 2001:db8:f:40d1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:f:40d2::/64 | 2001:db8:f:40d2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:f:40d3::/64 | 2001:db8:f:40d3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:f:40d4::/64 | 2001:db8:f:40d4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:f:40d5::/64 | 2001:db8:f:40d5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:f:40d6::/64 | 2001:db8:f:40d6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:f:40d7::/64 | 2001:db8:f:40d7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:f:40d8::/64 | 2001:db8:f:40d8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:f:40d9::/64 | 2001:db8:f:40d9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:f:40da::/64 | 2001:db8:f:40da:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:f:40db::/64 | 2001:db8:f:40db:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:f:40dc::/64 | 2001:db8:f:40dc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:f:40dd::/64 | 2001:db8:f:40dd:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:f:40de::/64 | 2001:db8:f:40de:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:f:40df::/64 | 2001:db8:f:40df:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:f:40e0::/64 | 2001:db8:f:40e0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:f:40e1::/64 | 2001:db8:f:40e1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:f:40e2::/64 | 2001:db8:f:40e2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:f:40e3::/64 | 2001:db8:f:40e3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:f:40e4::/64 | 2001:db8:f:40e4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:f:40e5::/64 | 2001:db8:f:40e5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:f:40e6::/64 | 2001:db8:f:40e6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:f:40e7::/64 | 2001:db8:f:40e7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:f:40e8::/64 | 2001:db8:f:40e8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:f:40e9::/64 | 2001:db8:f:40e9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:f:40ea::/64 | 2001:db8:f:40ea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:f:40eb::/64 | 2001:db8:f:40eb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:f:40ec::/64 | 2001:db8:f:40ec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:f:40ed::/64 | 2001:db8:f:40ed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:f:40ee::/64 | 2001:db8:f:40ee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:f:40ef::/64 | 2001:db8:f:40ef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:f:40f0::/64 | 2001:db8:f:40f0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:f:40f1::/64 | 2001:db8:f:40f1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:f:40f2::/64 | 2001:db8:f:40f2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:f:40f3::/64 | 2001:db8:f:40f3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:f:40f4::/64 | 2001:db8:f:40f4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:f:40f5::/64 | 2001:db8:f:40f5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:f:40f6::/64 | 2001:db8:f:40f6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:f:40f7::/64 | 2001:db8:f:40f7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:f:40f8::/64 | 2001:db8:f:40f8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:f:40f9::/64 | 2001:db8:f:40f9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:f:40fa::/64 | 2001:db8:f:40fa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:f:40fb::/64 | 2001:db8:f:40fb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:f:40fc::/64 | 2001:db8:f:40fc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:f:40fd::/64 | 2001:db8:f:40fd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:f:40fe::/64 | 2001:db8:f:40fe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:f:40ff::/64 | 2001:db8:f:40ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |